FreeMat

- Main Page
- Related Pages

vtkXMLHyperOctreeWriter

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLHyperOctreeWriter writes the VTK XML HyperOctree file format. One HyperOctree input can be written into one file in any number of streamed pieces. The standard extension for this writer's file format is "vto". This writer is also used to write a single piece of the parallel file format.

To create an instance of class vtkXMLHyperOctreeWriter, simply invoke its constructor as follows

      obj = vtkXMLHyperOctreeWriter

# Methods

The class vtkXMLHyperOctreeWriter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLHyperOctreeWriter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLHyperOctreeWriter = obj.NewInstance ()`
- `vtkXMLHyperOctreeWriter = obj.SafeDownCast (vtkObject o)`
- `string = obj.GetDefaultFileExtension ()` - Get the default file extension for files written by this writer.